Cognitive Interaction Toolkit - Bug #237

Omnirob: cca-tools first time build failure
2014-05-09 11:55 - Florian Lier

Status: Closed Start date: 2014-05-09
Priority: High Due date:

Assignee: Arne Nordmann % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 1.11 hour
Description

-- Building for Processor: x86_64

CMake Error at CMakelLists.txt:20 (find_package):

Could not find module FindCCA.cmake or a configuration file for package
CCA.

Adjust CMAKE_MODULE_PATH to find FindCCA.cmake or set CCA_DIR to the
directory containing a CMake configuration file for CCA. The file will
have one of the following names:

CCAConfig.cmake
cca-config.cmake

-- CCA version:
-- Found sloccount: /usr/bin/sloccount

History

#1 - 2014-05-09 13:30 - Florian Lier

my env

flier@thorium:~$ export

declare -x BASHRC_LOADED="1"

declare -x CUPS_SERVER="cups.techfak.uni-bielefeld.de"

declare -x EDITOR="nano"

declare -x HOME="/homes/flier"

declare -x LANG="en_US.UTF-8"

declare -x LOGNAME="flier"

declare -x MAIL="/homes/flier/mail/inbox"

declare -x MANPATH="/vol/local/man:/usr/local/share/man:/usr/share/man"
declare -x MODULEPATH="/vol/isy/share/modulefiles:/vol/clf/share/modulefiles:/homes/flier/. modulefiles:/vol/ai/share/modulefiles"
declare -x MODULEPATH_modshare="/vol/isy/share/modulefiles:1:/vol/clf/share/modulefiles:2:/homes/flier/.modulefiles:2:/vol/ai/share/modulefiles:2"
declare -x MODULESHOME="/vol/ai/lib/modules-tcl"

declare -x NNTPSERVER="news.uni-bielefeld.de"

declare -x OLDPWD="/media/FSM-Lab"

declare -x PATH="/vol/local/bin:/usr/local/bin:/usr/bin:/bin:/usr/games"
declare -x PWD="/homes/flier"

declare -x RCINFO_INITIALIZED="1"

declare -x SHELL="/bin/bash"

declare -x SHLVL="1"

declare -x SSH_CLIENT="129.70.133.184 48505 22"

declare -x SSH_CONNECTION="129.70.133.184 48505 129.70.129.31 22"
declare -x SSH_TTY="/dev/pts/5"

declare -x TERM="xterm-256color"

declare -x USER="flier"

declare -x XDG_DATA_DIRS="/usr/local/share:/usr/share"

declare -x export

declare -x ftp_proxy="http://proxy.techfak.net:80"

declare -x http_proxy="http://proxy.techfak.net:80"

declare -x https_proxy="http://proxy.techfak.net:80"
Err. msg

Cloning the remote Git repository

Cloning repository https://code.cor-lab.org/git/cca.tools.git

> git init /homes/flier/Projects/Ongoing/CITK/distinstaller/jenkins/jobs/cca-tools-master-toolkit-omnirob-nightly/workspace/label/master
Fetching upstream changes from https://code.cor-lab.org/git/cca.tools.git

> git --version

> git fetch --tags --progress https://code.cor-lab.org/git/cca.tools.git +refs/heads/*:refs/remotes/origin/*
> git config remote.origin.url https://code.cor-lab.org/git/cca.tools.git

> git config remote.origin.fetch +refs/heads/*:refs/remotes/origin/*

> git config remote.origin.url https://code.cor-lab.org/git/cca.tools.git

Fetching upstream changes from https://code.cor-lab.org/git/cca.tools.git

> git fetch --tags --progress https://code.cor-lab.org/git/cca.tools.git +refs/heads/*:refs/remotes/origin/*
Checking out Revision 1b6c9ba135f9052d414abf59dee15197340eaf47 (origin/master)

> git config core.sparsecheckout

> git checkout -f 1b6c9ba135f9052d414abf59dee15197340eaf47

> git branch -a

> git rev-parse remotes/origin/master*{commit}

> git checkout -b master 1b6c9ba135f9052d414abf59dee15197340eaf47

> git rev-list 1b6c9ba135f9052d414abf59dee15197340eaf47

[master] $ /bin/sh -xe /tmp/hudson3806303840917566028.sh

+ mkdir -p build

+ cd build

+ export PKG_CONFIG_PATH=/tmp/omnirob/omnirob-nightly//lib/pkgconfig:

+ find /tmp/omnirob/omnirob-nightly/ -type f ( -name RSCConfig.cmake -0 -name rsc-config.cmake ) -exec dirname {} ;
+ RSC_DIR=/tmp/omnirob/omnirob-nightly/share/rsc0.11

+ find /tmp/omnirob/omnirob-nightly/ -type f ( -name CCAConfig.cmake -0 -name cca-config.cmake ) -exec dirname {} ;
+ CCA_DIR=/tmp/omnirob/omnirob-nightly/share/cca0.5

+ cmake -DRSC_DIR=/tmp/omnirob/omnirob-nightly/share/rsc0.11 -DCCA_DIR=/tmp/omnirob/omnirob-nightly/share/cca0.5
-DCMAKE_INSTALL_PREFIX=/tmp/omnirob/omnirob-nightly/ -DCMAKE_BUILD_TYPE=RelWithDeblInfo -DCMAKE_SKIP_BUILD_RPATH=FALSE
-DCMAKE_BUILD_WITH_INSTALL_RPATH=FALSE -DCMAKE_INSTALL_RPATH=/tmp/omnirob/omnirob-nightly//lib ..
-- The C compiler identification is GNU

-- The CXX compiler identification is GNU

-- Check for working C compiler: /usr/bin/gcc

-- Check for working C compiler: /usr/bin/gcc -- works

-- Detecting C compiler ABI info

-- Detecting C compiler ABI info - done

-- Check for working CXX compiler: /usr/bin/c++

-- Check for working CXX compiler: /ust/bin/c++ -- works

-- Detecting CXX compiler ABI info

-- Detecting CXX compiler ABI info - done

-- Boost version: 1.46.1

-- Found the following Boost libraries:

-- thread

-- filesystem

-- signals

-- program_options

-- system

- regex

-- RSC version: 0.11.0

-- Building for Processor: x86_64

-- Boost version: 1.46.1

-- Found the following Boost libraries:

- regex

-- date_time

-- program_options

-- system

-- protoc does not support matlab

-- Found PROTOBUF: /ust/lib/libprotobuf.so

-- CCA version: 0.5.0

-- Found sloccount: /usr/bin/sloccount

-- Found Doxygen: /usr/bin/doxygen

-- Found Cppcheck: /usr/bin/cppcheck

-- Performing Test CHECK_CXX_FLAG_pipe

-- Performing Test CHECK_CXX_FLAG_pipe - Success

-- Performing Test CHECK_CXX_FLAG_Wall

-- Performing Test CHECK_CXX_FLAG_Wall - Success

-- Performing Test CHECK_CXX_FLAG_Wextra

-- Performing Test CHECK_CXX_FLAG_Wextra - Success

-- Performing Test CHECK_CXX_FLAG_fdiagnostics_show_option

-- Performing Test CHECK_CXX_FLAG_fdiagnostics_show_option - Success

-- Performing Test CHECK_CXX_FLAG_pedantic

-- Performing Test CHECK_CXX_FLAG_pedantic - Success
-- Performing Test CHECK_CXX_FLAG_Wchar_subscripts

-- Performing Test CHECK_CXX_FLAG_Wchar_subscripts - Success

-- Performing Test CHECK_CXX_FLAG_Winit_self

-- Performing Test CHECK_CXX_FLAG_Winit_self - Success

-- Performing Test CHECK_CXX_FLAG_Wswitch_enum

-- Performing Test CHECK_CXX_FLAG_Wswitch_enum - Success

-- Performing Test CHECK_CXX_FLAG_Wstrict_aliasing_3

-- Performing Test CHECK_CXX_FLAG_Wstrict_aliasing_3 - Success

-- Performing Test CHECK_CXX_FLAG_Wstrict_overflow_5

-- Performing Test CHECK_CXX_FLAG_Wstrict_overflow_5 - Success

-- Performing Test CHECK_CXX_FLAG_Wundef

-- Performing Test CHECK_CXX_FLAG_Wundef - Success

-- Performing Test CHECK_CXX_FLAG_Wno_endif_labels

-- Performing Test CHECK_CXX_FLAG_Wno_endif_labels - Success

-- Performing Test CHECK_CXX_FLAG_Wshadow

-- Performing Test CHECK_CXX_FLAG_Wshadow - Success

-- Performing Test CHECK_CXX_FLAG_Wno_system_headers

-- Performing Test CHECK_CXX_FLAG_Wno_system_headers - Success
-- Performing Test CHECK_CXX_FLAG_Wno_builtin_macro_redefined

-- Performing Test CHECK_CXX_FLAG_Wno_builtin_macro_redefined - Success
-- Performing Test CHECK_CXX_FLAG_Wmissing_declarations

-- Performing Test CHECK_CXX_FLAG_Wmissing_declarations - Success
-- Performing Test CHECK_CXX_FLAG_Wsign_conversion

-- Performing Test CHECK_CXX_FLAG_Wsign_conversion - Success

-- Performing Test CHECK_CXX_FLAG_Weffc___

-- Performing Test CHECK_CXX_FLAG_Weffc__ - Success

-- Creating sloccount target for folders: test;bin with result file
/homes/flier/Projects/Ongoing/CITK/distinstaller/jenkins/jobs/cca-tools-master-toolkit-omnirob-nightly/workspace/label/master/build/sloccount.sc
-- Generating cppcheck target with name cppcheck

-- Generating package for generator: TGZ

-- Configuring done

-- Generating done

-- Build files have been written to:
/homes/flier/Projects/Ongoing/CITK/distinstaller/jenkins/jobs/cca-tools-master-toolkit-omnirob-nightly/workspace/label/master/build
+ make

Scanning dependencies of target cca-monitor0.5

[ 50%] Building CXX object bin/CMakeFiles/cca-monitor0.5.dir/monitor.cpp.o
Linking CXX executable ../build/cca-monitor0.5
/vol/isy/SS2012/releases/lucid/gar-installer/rsx/rst/work/main.d/rst-1.0/cpp/stable/librst.so: could not read symbols: File in wrong format
collect2: Id returned 1 exit status

make[2]: *** [build/cca-monitor0.5] Error 1

make[1]: *** [bin/CMakeFiles/cca-monitor0.5.dir/all] Error 2

make: *** [all] Error 2

Build step 'Execute shell' marked build as failure

Finished: FAILURE

| really dont get where /vol/isy is coming from ...

2024-05-15 3/4



#2 - 2014-05-09 13:39 - Johannes Wienke

Somehow the isy volume leaks into this. This usually happens from the PATH variable. Are you sure the environment you showed is the one that was
active during build?

#3 - 2014-05-09 13:43 - Florian Lier

...absolutely | checked env and export and then started the Jenkins in the same bash

#4 - 2014-05-09 13:48 - Johannes Wienke

There must be a reason why cmake picked up that weird location. It will never have guessed this without reason ;)

#5 - 2014-05-09 13:49 - Florian Lier

http://thorium:8080/job/cca-tools-master-toolkit-omnirob-nightly

#6 - 2014-05-09 13:59 - Johannes Wienke

Thanks for the permissions ;)

You have /homes/flier/.cmake/packages and there is the old RSt version exported. Just delete the RST folder there.

#7 - 2014-05-09 14:01 - Florian Lier

... would someone except for "you" (Johannes, Arne, Jan, Sebastian) know that?

#8 - 2014-05-09 14:12 - Jan Moringen

Johannes: Is this caused by the *BuildTreeSettings.cmake files that we configure and install in some of our projects? If so, maybe we should think
about stopping to use this mechanism because 1) it seems to do more harm than good 2) nobody understands how it works

#9 - 2014-05-09 14:13 - Florian Lier

Jan for president. +1

#10 - 2014-05-09 14:19 - Johannes Wienke

That mechanism is stoppped since ages. Florian has got this from an ancient version of RST.

#11 - 2014-05-09 14:21 - Florian Lier

The doom of early adopters. | will close this, since it has been resolved by deleting the .cmake folder. Thanks again.

#12 - 2014-05-09 14:21 - Florian Lier

- Status changed from New to Closed
